LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XVbaMethodParameter Interface Reference

`import"XVbaMethodParameter.idl";`

Inheritance diagram for XVbaMethodParameter:

## Public Member Functions
void | setVbaMethodParameter ([in] string PropertyName, [in] any Value)
| sets the value of the parameter with the specified name. More...
any | getVbaMethodParameter ([in] string PropertyName)
| returns the value of the parameter with the specified name. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

any getVbaMethodParameter | ( | [in] string | PropertyName | ) |

returns the value of the parameter with the specified name.

void setVbaMethodParameter | ( | [in] string | PropertyName,
|  | [in] any | Value
| ) |  |

sets the value of the parameter with the specified name.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XVbaMethodParameter.idl